import java.applet.Applet;
import java.awt.*;
import java.util.*;

public class Input extends Applet{

	public int[] getToday(){
		int iDate[] = new int[3];
		Date d = new Date();
		iDate[0] = d.getYear() + 1900;
		iDate[1] = d.getMonth() + 1;
		iDate[2] = d.getDate();
		return iDate;
	}

	public String getStringToday(){
		int iDate[] = new int[3];
		String sDate,tmp;
		Date d = new Date();
		iDate[0] = d.getYear() + 1900;
		iDate[1] = d.getMonth() + 1;
		iDate[2] = d.getDate();
		sDate = iDate[0] + "/";
		tmp = "0" + iDate[1];
		if(tmp.length() > 2)tmp = tmp.substring(1);
		sDate += tmp + "/";
		tmp = "0" + iDate[2];
		if(tmp.length() > 2)tmp = tmp.substring(1);
		sDate += tmp;
		return sDate;
	}

	public int[] getTime(){
		int iTime[] = new int[3];
		Date d = new Date();		
		iTime[0] = d.getHours();
		iTime[1] = d.getMinutes();
		iTime[2] = d.getSeconds();
		return iTime;
	}

	public String getStringTime(){
		int iTime[] = new int[3];
		String sTime,tmp;
		Date d = new Date();		
		iTime[0] = d.getHours();
		iTime[1] = d.getMinutes();
		iTime[2] = d.getSeconds();
		tmp = "0" + iTime[0];
		if(tmp.length() > 2)tmp = tmp.substring(1);
		sTime = tmp + ":";
		tmp = "0" + iTime[1];
		if(tmp.length() > 2)tmp = tmp.substring(1);
		sTime += tmp + ":";
		tmp = "0" + iTime[2];
		if(tmp.length() > 2)tmp = tmp.substring(1);
		sTime += tmp;
		return sTime;
	}

	public String getMess(){
		String message,att;
		att = getParameter("TEXT");
		message = (att == null) ? "Hello World!" : att;
		return message;
	}

	public int[] getRGB(){
		int iRGB[] = new int[4];
		String att;
		att = getParameter("RED");
		iRGB[0] = (att == null) ? 0 : Integer.valueOf(att).intValue();
			if(iRGB[0] < 0){
				iRGB[3] = -1;
			}else{
				iRGB[3] = 0;
			} 
			if(iRGB[0] < 0 || iRGB[0] > 255)iRGB[0] = 0;
		att = getParameter("GREEN");
		iRGB[1] = (att == null) ? 0 : Integer.valueOf(att).intValue();
			if(iRGB[1] < 0 || iRGB[1] > 255)iRGB[1] = 0;
		att = getParameter("BLUE");
		iRGB[2] = (att == null) ? 0 : Integer.valueOf(att).intValue();
			if(iRGB[2] < 0 || iRGB[2] > 255)iRGB[2] = 0;
		return iRGB;
	}

	public int[] getBackColor(){
		int iBgRGB[] = new int[3];
		String att;
		att = getParameter("BRED");
		iBgRGB[0] = (att == null) ? 255 : Integer.valueOf(att).intValue();
			if(iBgRGB[0] < 0 || iBgRGB[0] > 255)iBgRGB[0] = 255;
		att = getParameter("BGREEN");
		iBgRGB[1] = (att == null) ? 255 : Integer.valueOf(att).intValue();
			if(iBgRGB[1] < 0 || iBgRGB[1] > 255)iBgRGB[1] = 255;
		att = getParameter("BBLUE");
		iBgRGB[2] = (att == null) ? 255 : Integer.valueOf(att).intValue();
			if(iBgRGB[2] < 0 || iBgRGB[2] > 255)iBgRGB[2] = 255;
		return iBgRGB;
	}

	public String getFntName(){
		String fntName,att;
		char chr;
		att = getParameter("FONT");
		fntName = (att == null) ? "TimesRoman" : att;
		chr = fntName.charAt(0);
			if(chr == 'D' || chr == 'd'){
				fntName = "Dialog";
			}else{if(chr == 'H' || chr == 'h'){
				fntName = "Helvetica";
			}else{if(chr == 'C' || chr == 'c'){
				fntName = "Courier";
			}else{if(chr == 'S' || chr == 's'){
				fntName = "Symbol";
			}else{
				fntName = "TimesRoman";
			}}}}
		return fntName;
	}

	public int[] getFntAttrib(){
		int iFntAtt[] = new int[2];
		String att;
		att = getParameter("TYPE");
		iFntAtt[0] = (att == null) ? 0 : Integer.valueOf(att).intValue();
		if(iFntAtt[0] > 2 || iFntAtt[0] < 0)iFntAtt[0] = 0;
		att = getParameter("SIZE");
		iFntAtt[1] = (att == null) ? 24: Integer.valueOf(att).intValue();
		return iFntAtt;
	}

	public int[] getFrameSize(){
		int iXYSize[] = new int[2];
		int iw = size().width;
		int ih = size().height;
		String att;
		att = getParameter("XWIDE");
		iXYSize[0] = (att == null) ? iw : Integer.valueOf(att).intValue();
		att = getParameter("YWIDE");
		iXYSize[1] = (att == null) ? ih : Integer.valueOf(att).intValue();
		return iXYSize;
	}
}