import java.awt.*;

public class DateShow extends Input implements Runnable{
	String ft,today,time,greet;
	Color col;
	int nfl,m,nx;
	int idold = -1;
	int isold = -1;
	int it[] = new int[3];	
	int i[] = new int[4];
	int j[] = new int[3];
	int ift[] = new int[2];
	int ixy[] = new int[2];
	int ny[] = new int[3];
	int itextw = 0;
	Image ioff;
	Graphics goff;

	Thread datedisp = null;

	public void init(){
		i = getRGB();
		j = getBackColor();
		ft = getFntName();
		ift = getFntAttrib();
		ixy = getFrameSize();
		int ifntmin = (int)(ixy[1]/2.5);
		if(ift[1] > ifntmin)ift[1] = ifntmin; 
		nx = (int)(Math.random()*ixy[0]);
		ny[0] = (int)(ixy[1]/6 + ift[1]*0.35);
		ny[1] = (int)(ixy[1]/2 + ift[1]*0.35);
		ny[2] = (int)(5*ixy[1]/6 + ift[1]*0.35);
		String att = getParameter("TEXT");
		nfl = (att == null)? 0 : -1;
		greet = (att == null)? "dummy" : att;
		col = new Color(j[0],j[1],j[2]);
		setBackground(col);
		it = getTime();
		time = getStringTime();
		today = getStringToday();
		setGreetMess();
		ioff = createImage(ixy[0],ixy[1]*2);
		goff = ioff.getGraphics();
	}		

	public void setGreetMess(){
		if(nfl == 0){
			m = (int)(it[0]/4);
			switch(m){
				case 1 :
					greet = "Good Morning!!  Have you had a good dream?";
					break;
				case 2 :
					greet = "Good Morning!!  Don't work hard!!";
					break;
				case 3 :
					greet = "Good Afternoon!!  Did you have lunch?";
					break;
				case 4 :
					greet = "Good Evening!!  Are you still working?";
					break;
				case 5 :
					greet = "Good Night!!    Have a nice dream!";
					break;
				default : greet = "I'm sleeping.   zzzz";
			}
		}
	}

	public void paint(Graphics g){
		Font font = new Font(ft,ift[0],ift[1]);
		goff.setFont(font);
		if(i[3] == -1){
			i[0] = (int)(Math.random()*256);
			i[1] = (int)(Math.random()*256);
			i[2] = (int)(Math.random()*256);
		}
		Color color = new Color(i[0],i[1],i[2]);
		goff.setColor(color);
		FontMetrics fm = goff.getFontMetrics();
		int x = (int)((ixy[0] - fm.stringWidth("DATE  " + today))/2);

		goff.drawString("DATE  " + today,x,ny[0]);
		goff.drawString("TIME  " + time,x,ny[1]);
		goff.drawString(greet,nx,ny[2]);
		goff.copyArea(0,0,ixy[0],ixy[1],0,ixy[1]);
		g.drawImage(ioff,0,-ixy[1],this);
		itextw = fm.stringWidth(greet+" ");
	}

	public void update(Graphics g){
		time = getStringTime();
		today = getStringToday();
		it = getTime();
		setGreetMess();
		goff.setColor(col);
		goff.fillRect(0,0,ixy[0],ixy[1]);
		paint(g);
	}  	
		
	public synchronized boolean mouseDown(Event evt,int x, int y){
		if(datedisp == null){
			datedisp = new Thread(this);
			datedisp.start();
		}else{
			datedisp.stop();
			datedisp = null;
		}
			return true;
	}

	public void setXPosition(){
		nx = nx - 3;
		if(nx < -(itextw)){
			nx = size().width;
		}
	}

	public void start(){
		if(datedisp == null){
			datedisp = new Thread(this);
			datedisp.start();
		}
	}

	public void stop(){
		datedisp.stop();
		datedisp = null;
	}

	public void run(){
		while(datedisp != null){
			try{
				Thread.currentThread().sleep(100);
			}
			catch(InterruptedException e){};
			setXPosition();
			repaint();
		}
	}
}